
Redmine - Defect #8712

False 'Description updated' journal details messages

2011-06-29 20:12 - Alex Shulgin

Status: Closed Start date: 2011-06-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version: 1.2.0

Description

1. Report an issue by sending new mail to redmine@.

2. Open up the issue in web interface and update (comment on it.)

The journal details for the update will contain 'Description updated (diff)' line, even though the description was intentionally not

updated.

The reason to this seems to be that the email contained Unix (LF) newlines, while the update from web interface sends it with HTTP

(CR-LF) newlines.

A proper fix would be to normalize newlines before processing.

Didn't happen with redmine-0.9 or 1.1, only started to happen with 1.2.

We're currently tracking 1.2-stable cloned from https://github.com/edavis10/redmine

$ ./script/about

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.5

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          ...

Environment               development

Database adapter          postgresql

Database schema version   20101114115359

Associated revisions

Revision 6147 - 2011-07-02 13:05 - Jean-Philippe Lang

Do not journalize blank description changes (#8712).

Revision 6149 - 2011-07-02 13:42 - Jean-Philippe Lang

Normalize issue description EOLs do prevent false journal details (#8712).

History

#1 - 2011-06-29 20:35 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-07-02 13:43 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.1

- Resolution set to Fixed

Fixed in #6147, #6149.
#3 - 2011-07-02 15:18 - Alex Shulgin

Jean-Philippe Lang wrote:

Fixed in #6147, #6149.

 Thank you.

I've just tested before and after applying the above revisions: r6147 and r6149.  This is fixed indeed.

--

Alex

#4 - 2011-07-02 19:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.2-stable. Thanks for the feedback.
